## PhoshNotificationContent

PhoshNotificationContent — Content of a notification

## Functions

GtkWidget * | phosh_notification_content_new ()
PhoshNotification * | phosh_notification_content_get_notification ()

## Properties

PhoshNotification * | notification | Read / Write / Construct Only
gboolean | show-body | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_NOTIFICATION_CONTENT
| PhoshNotificationContent

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkListBoxRow
                            ╰── PhoshNotificationContent

## Implemented Interfaces

PhoshNotificationContent implements AtkImplementorIface, GtkBuildable and GtkActionable.

## Description

## Functions

### phosh_notification_content_new ()

    GtkWidget *
    phosh_notification_content_new (PhoshNotification *notification,
                                    gboolean show_body);

### phosh_notification_content_get_notification ()

    PhoshNotification *
    phosh_notification_content_get_notification
                                   (PhoshNotificationContent *self);

## Types and Values

### PHOSH_TYPE_NOTIFICATION_CONTENT

    #define PHOSH_TYPE_NOTIFICATION_CONTENT (phosh_notification_content_get_type ())

### PhoshNotificationContent

    typedef struct _PhoshNotificationContent PhoshNotificationContent;

## Property Details

### The `“notification”` property

      “notification”             PhoshNotification *

The PhoshNotification shown in `self`

Owner: PhoshNotificationContent

Flags: Read / Write / Construct Only

### The `“show-body”` property

      “show-body”                gboolean

Whether the body of the notification is shown

Owner: PhoshNotificationContent

Flags: Read / Write / Construct Only

Default value: TRUE